Skip to main content
POST
/
notifications
/
{id}
/
archive
Archive notification
curl --request POST \
  --url https://api.wacht.dev/notifications/{id}/archive \
  --cookie session_id=
{
  "status": 200,
  "message": "",
  "data": {
    "message": "Notification archive status updated",
    "is_archived": true,
    "success": true
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Response

Notification archived

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)